{% extends "layout.html" %}

{% block title %}
  Home
{% endblock %}

{% block beforeMain %}
  <div class="apos-ui">
    <div class="apos-admin-bar" style="right: 40px; left: auto; padding: 0 20px;">
      <a class="apos-admin-bar-item" href="{{ data.home._url }}">
        {{ data.home.title }}
      </a>
      <a class="apos-admin-bar-item" href="/default">
        Default
      </a>
      <a class="apos-admin-bar-item" href="/test">
        Test
      </a>
    </div>
  </div>
{% endblock %}

{% block main %}

  <div class="grid" style="display: flex;">

    <div class="main-content">
      {{ apos.singleton(data.page, 'textBlock', 'apostrophe-rich-text', {
        toolbar: [ 'Bold', 'Italic', 'Underline' ]
      }) }}
    </div>

    <div class="main-content">
      <h3>Hello world!
        {% if not data.user %}
          <a class="login-link" href="/login">Login</a>
        {% endif %}
      </h3>
      <p>This is a very barebones Apostrophe project. Now, get to work and make a real website!</p>
      {{ apos.area(data.page, 'body', {
        widgets: {
          'apostrophe-images': {
            size: 'full'
          },
          'apostrophe-rich-text': {
            toolbar: [ 'Styles', 'Bold', 'Italic', 'Link', 'Unlink' ],
            styles: [
              { name: 'Heading', element: 'h3' },
              { name: 'Subheading', element: 'h4' },
              { name: 'Paragraph', element: 'p' }
            ]
          }
        }
      }) }}
    </div>

    {{ apos.area(data.page, 'body', {
      widgets: {
        'apostrophe-rich-text': {
          toolbar: [ 'Bold', 'Italic' ]
        },
        'apostrophe-images': {
          size: 'full'
        }
      }
    }) }}

</div>
{% endblock %}
